const columns = [
  {
    prop: "returnCode",
    label: "售后申请单号",
    span: 6
  },
  {
    prop: "status",
    label: "售后申请单状态",
    _slot_: "status",
    span: 6
  },
  {
    prop: "outCode",
    label: "发货申请单编号",
    span: 6
  },

  {
    prop: "order_type",
    label: "订单类别",
    _slot_: "order_type",
    span: 6
  },

  {
    prop: "is_receive",
    label: "收货情况",
    _slot_: "is_receive",
    span: 6
  },
  {
    prop: "addtime",
    label: "创建时间",
    span: 6
  },
  {
    prop: "total_num",
    label: "发货总数量",
    span: 4
  },
  {
    prop: "error_num",
    label: "异常数量",
    span: 4
  },


  {
    prop: "apply_name",
    label: "申请人",
    span: 4
  },

  {
    prop: "error_msg",
    label: "异常原因",
    span: 6
  },
  {
    prop: "except_code",
    label: "期望",
    _slot_: "except_code",
    span: 6
  },
  {
    prop: "error_img",
    label: "异常图片",
    _slot_: "error_img",
    span: 12
  },
  {
    prop: "error_remark",
    label: "备注",
    span: 24
  },
  // {
  //   prop: "sale_price",
  //   label: "销售单价",
  // },
  // {
  //   prop: "origin_price",
  //   label: "采购单价",
  // },

  // {
  //   prop: "sale_price",
  //   label: "商品单价",
  // },
  // {
  //   prop: "total_price",
  //   label: "发货申请单总价",
  // },

  // {
  //   prop: "updatetime",
  //   label: "更新时间",
  // },



]
const listColumns = [
  {
    prop: "returnCode",
    label: "售后申请单",
    width: "160"
  },
  {
    prop: "orderCode",
    label: "订单编号",
    width: "160"
  },
  {
    prop: "company_name",
    label: "申请人部门",
    minWidth: "150px",
  },
  {
    prop: "apply_name",
    label: "申请人",
  },
  // {
  //   prop: "orderCode",
  //   label: "销售订单编号",
  //   width:"160"
  // },
  {
    prop: "outCode",
    label: "发货申请单编号",
    width: "160"
  },
  {
    prop: "total_num",
    label: "出库总数",
  },
  {
    prop: "good_code",
    label: "商品编码",
    width: "140"
  },
  {
    prop: "good_name",
    label: "商品名称",
    width: "150"
  },
  // {
  //     prop:"error_num",
  //     label:"异常数量",
  // },
  // {
  //     prop:"error_msg",
  //     label:"异常原因",
  // },
  // {
  //     prop:"except_code",
  //     label:"期望意愿",
  //   _slot_: "except_code",
  //   width:100,

  // },

  {
    prop: "status",
    label: "状态",
    _slot_: "status",
    width: "120px",
  },
  {
    prop: "addtime",
    label: "添加时间",
    width: 150,
  },


  // {
  //   prop:"post_company",
  //   label:"快递名称",
  // },
  // {
  //   prop:"post_fee",
  //   label:"物流费",
  // },
  // {
  //   prop:"post_own",
  //   label:"费用承担方",
  //   width:"100",
  //   _slot_: "post_own",

  // },
  // {
  //   prop:"customer_code",
  //   label:"客户编码",
  //   width:"150"
  // },
  {
    prop: "customer_name",
    label: "客户名称",
    width: "200"
  },
  {
    prop: "",
    label: "操作",
    fixed: "right",
    _noset_: true,
    _slot_: "operation",
    width: 50,
  },
]
const statusOptions = [
  { value: "1", label: "待采购反馈" },
  { value: "2", label: "已生成采购单" },
  {
    value: "4",
    label: "已取消采购",
  },
];

export { columns, statusOptions, listColumns}