const listColumens = [
  // {
  //   prop: "orderCode",
  //   label: "采购订单编号",
  //   width:"160"
  // },
  {
    prop: "returnCode",
    label: "退货单编号",
    width: "160"
  },
  {
    prop: "status",
    label: "状态",
    _slot_: "status",
    width: "120px",
  },
  {
    prop: "good_code",
    label: "商品属性编码",
    width: "160"
  },
  {
    prop: "good_name",
    label: "商品名称",
    'min-width': "180"
  },
  {
    prop: "num",
    label: "退货数量",
    width: "110"
  },
  {
    prop: "total_num",
    label: "订单总数",
    width: "110"
  },
  // {
  //   prop: "error_msg",
  //   label: "退货原因",
  //   width: "160"
  // },




  // {
  //   prop: "return_total",
  //   label: "退货总金额",
  //   width: "120"
  // },
  {
    prop: "company_name",
    label: "申请人部门",
    minWidth: "150px",
  },
  {
    prop: "apply_name",
    label: "申请人",
    width: "70"
  },
  {
    prop: "addtime",
    label: "申请时间",
    sortable: true,
    width: 150
  },
  {
    prop: "",
    width: 50,
    label: "操作",
    fixed: "right",
    _noset_: true,
    _slot_: "operation",
  },

]
const columns =  [
  {
    prop: "returnCode",
    label: "退货单编号",
    span: 7,
  },
  {
    prop: "status",
    label: "退货单状态",
    _slot_: "status",
    span: 5,
  },
  {
    prop: "order_type",
    label: "订单类型",
    _slot_: "order_type",
    span: 6,
  }, {
    prop: "apply_name",
    label: "创建人",
    span: 6,
  },

  {
    prop: "supplierName",
    label: "销售方公司",
    _slot_: "supplierName",
    span: 12,
  },
  {
    prop: "companyName",
    label: "购买方公司",
    _slot_: "companyName",
    span: 12,
  },

  {
    prop: "platform_name",
    label: "所属平台",
    span: 7,
  },


  {
    prop: "good_num",
    label: "购买数量",
    span: 5,
  },
  {
    prop: "send_num",
    label: "已发数量",
    span: 6,
  },
  {
    prop: "wsend_num",
    label: "未发数量",
    span: 6,
  },






  {
    prop: "addtime",
    label: "创建时间",
    span: 7,
  },
  {
    prop: "send_type",
    label: "发货类型",
    _slot_: "send_type",
    span: 5,
  },

  {
    prop: "error_msg",
    label: "退货原因",
    span: 12,
  },

  {
    prop: "remark",
    label: "备注",
    span: 24,
  },
  {
    prop: "addrinfo",
    label: "发货申请信息",
    _slot_: "addrinfo",
    span: 24,
  },

]
const statusOptions = [
  { value: "1", label: "待业务审批" },
        { value: "2", label: "待专员审批" },
        { value: "3", label: "待主管审批" },
        { value: "4", label: "退货完成" },
        { value: "5", label: "业务驳回" },
        { value: "6", label: "采购驳回" },
        { value: "7", label: "专员审批不通过" },
];

export { columns, statusOptions,listColumens }