const columns = [
  {
    prop: "code",
    label: "供应商编号",
    span: 6,
  },
  {
    prop: "status",
    label: "使用状态",
    _slot_: "status",
    span: 4,
  },
  {
    prop: "ocr_status",
    label: "执照识别状态",
    _slot_: "ocr_status",
    span: 5,
  },

  {
    prop: "creater",
    label: "创建人",
    span: 4,
  },
  {
    prop: "addtime",
    label: "创建时间",
    span: 5,
  },
  {
    prop: "coop_state",
    label: "合作状态",
    _slot_: "coop_state",
    span: 6,
  },
  {
    prop: "source",
    label: "供应商来源",
    _slot_: "source",
    span: 6,
  },
  {
    prop: "type",
    label: "申请类型",
    _slot_: "type",
    span: 6,
  },
  {
    prop: "category",
    label: "所属类别",
    _slot_: "category",
    span: 6,
  },
  {
    prop: "delivery_way",
    label: "物流方式",
    _slot_: "delivery_way",
    span: 6,
  },
  {
    prop: "supplier_type",
    label: "供应商类型",
    _slot_: "supplier_type",
    span: 6,
  },
  {
    prop: "level",
    label: "供应商级别",
    _slot_: "level",
    span: 6,
  },
  {
    prop: "pay_type",
    label: "付款方式",
    _slot_: "pay_type",
    span: 6,
  },

  {
    prop: "person",
    label: "负责人",
    span: 4,
  },

  {
    prop: "contactor",
    label: "姓名",
    span: 4,
  },
  {
    prop: "mobile",
    label: "手机号",
    span: 6,
  },
  {
    prop: "telephone",
    label: "座机号",
    span: 6,
  },
  {
    prop: "position",
    label: "职位",
    span: 4,
  },

  {
    prop: "name",
    label: "供应商名称",
    span: 16,
  },
  {
    prop: "registercode",
    label: "社会信用代码",
    span: 8,
  },

  {
    prop: "nature",
    label: "公司类型",
    span: 8,
  },
  {
    prop: "legaler",
    label: "法人代表",
    span: 8,
  },
  {
    prop: "registertime",
    label: "成立日期",
    span: 8,
  },
  {
    prop: "addr",
    label: "详细地址",
    span: 24,
  },
  
  {
    prop: "scope",
    label: "运营范围",
    span: 24,
  },
  
  {
    prop: "supplier_img",
    label: "营业执照",
    _slot_: "supplier_img",
    span: 8,
  },
  {
    prop: "prove_img",
    label: "资质证明",
    _slot_: "prove_img",
    span: 16,
  },
  
]


export { columns, }