const columns = [
  {
    prop: "wsm_in_code",
    label: "入库单编号",
    span: 6
  },
  {
    prop: "status",
    label: "入库单状态",
    _slot_: "status",
    span: 6
  },
  {
    prop: "cgdNo",
    label: "采购单编号",
    span: 6
  },

  {
    prop: "order_type",
    label: "采购单来源",
    _slot_: "order_type",
    span: 6
  },
  {
    prop: "company",
    label: "购买方公司",
    _slot_: "company",
  },
  {
    prop: "wsm",
    label: "仓库信息",
    _slot_: "wsm",
  },
  {
    prop: "post_fee",
    label: "快递费用",
    span: 4
  },
  {
    prop: "good_price",
    label: "采购单价",
    _slot_:"good_price",

    span: 4
  },
  {
    prop: "good_num",
    label: "采购总数",
    span: 4
  },

  {
    prop: "send_num",
    label: "入库数量",
    span: 4
  },
  {
    prop: "sendtype",
    label: "发货方式",
    _slot_: "sendtype",
    span: 4
  },
  {
    prop: "apply_name",
    label: "发货人",
    span: 4
  },
  {
    prop: "post_company",
    label: "快递公司",
    span: 6
  },
  {
    prop: "post_code",
    label: "快递编号",
    span: 6
  },


  {
    prop: "sendtime",
    label: "发货时间",
    span: 6
  },


  {
    prop: "addtime",
    label: "创建时间",
    span: 6
  },
]
const listColumns = [

  {
    prop: "wsm_in_code",
    label: "入库单编号",
    width: "155"
  },
  {
    prop: "cgdNo",
    label: "采购单编号",
    width: "155px",
  },
  {
    prop: "status",
    label: "状态",
    _slot_: "status",
    width: "110px",
  },
  // {
  //   prop: "bkcode",
  //   label: "备库单编号",
  //   width: "155px",
  // },
  // {
  //   prop: "supplierNo",
  //   label: "采购供应商编号",
  //   width: "145px",
  // },
  // {
  //   prop: "supplier_name",
  //   label: "采购供应商名称",
  //   width: "155px",
  // },

  {
    prop: "spuCode",
    label: "商品成本编号",
    width: "145px",
  },
  {
    prop: "good_name",
    label: "商品名称",
    _slot_: "good_name",
    'min-width': "145px",
  },
  {
    prop: "brand_name",
    label: "品牌",
    'width': "95px",
  },
 
  {
    prop: "send_num",
    label: "发货数量",
    width: "80px",
  },
  // {
  //   prop: "post_company",
  //   label: "物流公司",
  //   width: "140px",
  // },
  // {
  //   prop: "post_code",
  //   label: "物流单号",
  //   width: "140px",
  // },
  {
    prop: "post_fee",
    label: "物流费用",
    width: "100px",
  },

  {
    prop: "order_type",
    label: "备货单",
    _slot_: "order_type",
    width: "130px",
  },
  // {
  //   prop: "wsm_num",
  //   label: "入库数量",
  //   width: "80px",
  // },
  // {
  //   prop: "error_num",
  //   label: "异常数量",
  //   width: "80px",
  // },
  // {
  //   prop: "check_name",
  //   label: "验货人",
  //   width: "60px",
  // },
  // 
  // {
  //   prop: "cgder",
  //   label: "采购员",
  //   width: "60px",
  // },
  // {
  //   prop: "good_price",
  //   label: "单价",
  //   width: "110px",
  // },
  // {
  //   prop: "good_num",
  //   label: "数量",
  //   width: "110px",
  // },
  // {
  //   prop: "total_fee",
  //   label: "总货款",
  //   width: "120px",
  // },
  // {
  //   prop: "send_num",
  //   label: "已发货数量",
  //   width: "110px",
  // },
  // {
  //   prop: "wsend_num",
  //   label: "未发货数量",
  //   width: "105px",
  // },

  // {
  //   prop: "lasttime",
  //   label: "预计最晚入库时间",
  //   width: "145px",
  // },
  {
    prop: "wsm_supplierNo",
    label: "仓库公司编号",
    width: "145px",
  },
  {
    prop: "wsm_supplier",
    label: "仓库公司名称",
    width: "155px",
  },
  {
    prop: "wsm_code",
    label: "仓库编号",
    width: "172px",
  },
  {
    prop: "wsm_name",
    label: "仓库名称",
    width: "80px",
  },
  {
    prop: "company_name",
    label: "申请人部门",
    minWidth: "150px",
  },
  {
    prop: "apply_name",
    label: "申请人",
    width: "60px",
  },
  {
    prop: "sendtime",
    label: "发货时间",
    width: "145px",
  },
  // {
  //   prop: "addtime",
  //   label: "创建时间",
  //   width: "145px",
  // },
  {
    prop: "",
    label: "操作",
    fixed: "right",
    _noset_: true,
    width: "50px",
    _slot_: "operation",
  },
]
const statusOptions =  [
  {
    value: "0",
    label: "待发货",
  },
  {
    value: "1",
    label: "待验货", //029
  },
  {
    value: "2",
    label: "待审核",
  },
  {
    value: "3",
    label: "待入库",
  },
  {
    value: "4",
    label: "入库完成",
  },
  {
    value: "5", //30  || 32
    label: "退货待物流",
  },
  {
    value: "6",
    label: "退货完成",
  },
];

export { columns, statusOptions,listColumns }