const columns = [
  {
    prop: "cgdNo",
    label: "采购单编号",
    span: 6
  },
  {
    prop: "status",
    label: "状态",
    _slot_: "status",
    span: 6
  },
  {
    prop: "apply_name",
    label: "申请人",
    span: 6
  },
  {
    prop: "addtime",
    label: "创建时间",
    span: 6
  },
  {
    prop: "order_type",
    label: "采购单类型",
    _slot_: "order_type",
    span: 6
  },
  {
    prop: "diff_weight",
    label: "重量工差",
    span: 6
  },
  {
    prop: "diff_price",
    _slot_:"diff_price",
    label: "金额差价",
    span: 6
  },
  {
    prop: "gold_price",
    label: "实时金价",
    _slot_:"gold_price",
    span: 6
  },
  {
    prop: "diff_is_act",
    label: "客户反馈",
    _slot_: "diff_is_act",
    span: 6
  },
  {
    prop: "diff_customer_remark",
    label: "客户意愿",
    _slot_: "diff_customer_remark",
    span: 6
  },
  {
    prop: "diff_remark",
    label: "业务审核备注",
    span: 12
  },






]
const listColumns = [
  {
    prop: "cgdNo",
    label: "采购单编号",
    width: "160px",
  },
  {
    prop: "status",
    label: "状态",
    _slot_: "status",
    width: "120px",
  },
  {
    prop: "company_name",
    label: "申请人部门",
    minWidth: "100px",
  },
  {
    prop: "apply_name",
    label: "申请人",
    width: "65px",
  },
  {
    prop: "good_code",
    label: "商品编码",
    width: "150px",
  },
  {
    prop: "good_name",
    label: "商品名称",
  },
  // {
  //   prop: "class_cat",
  //   label: "商品分类",
  // },

  {
    prop: "good_weight",
    label: "商品总重量(g)",
    width: "110px",
  },
  {
    prop: "diff_weight",
    label: "工差总重量(g)",
    width: "110px",
  },

 
  {
    prop: "addtime",
    label: "创建时间",
    width: "140px",
    sortable: true,
  },
  {
    prop: "",
    label: "操作",
    fixed: "right",
    _noset_: true,
    width: "52px",
    _slot_: "operation",
  },
]
const statusOptions = [
  { id: "1", label: "待业务部门审核" },
        { id: "2", label: "工差单审核完成" },
];

export { columns, statusOptions,listColumns }